Yandex Cloud
Search
Discuss with expertTry it for free
  • Customer Stories
  • Documentation
  • Blog
  • All Services
    • Cloud Interconnect
    • Cloud Backup
    • Cloud Registry
    • Yandex AI Studio
    • Compute Cloud
    • Object Storage
    • Managed Service for Kubernetes®
    • Yandex BareMetal
    • Smart Web Security
    • Security Deck
    • Managed Service for PostgreSQL
    • Managed Service for ClickHouse®
    • Monium
    • Cloud CDN
    • Network Load Balancer
    • Virtual Private Cloud
    • Cloud DNS
    • Application Load Balancer
    • Yandex Cloud Video
    • Stackland
    • Yandex Cloud Router
    • Yandex Managed Service for Trino
    • Managed Service for MySQL®
    • Managed Service for Valkey™
    • Managed Service for Apache Spark™
    • Yandex StoreDoc
    • Managed Service for OpenSearch
    • Managed Service for Apache Kafka®
    • Data Transfer
    • Yandex MPP Analytics Engine for PostgreSQL
    • Yandex Managed Service for Apache Airflow®
    • Data Processing
    • Yandex MetaData Hub
    • Managed Service for YDB
    • Managed Service for Sharded PostgreSQL
    • Managed Service for YTsaurus
    • Yandex WebSQL
    • DataLens
    • Yandex Search API
    • SpeechSense
    • SpeechKit
    • DataSphere
    • Vision OCR
    • Translate
    • Yandex Identity Hub
    • Key Management Service
    • Certificate Manager
    • Yandex Lockbox
    • Audit Trails
    • SmartCaptcha
    • Cloud Desktop
    • SourceCraft Code Assistant
    • Container Registry
    • Managed Service for GitLab
    • Managed Service for Prometheus®
    • Cloud Functions
    • API Gateway
    • Yandex Cloud Postbox
    • Message Queue
    • Serverless Integrations
    • IoT Core
    • Data Streams
    • Serverless Containers
    • Cloud Notification Service
    • Yandex Query
    • Identity and Access Management
    • Yandex Cloud Console
    • Resource Manager
    • Yandex Cloud Billing
    • Yandex Cloud Quota Manager
    • Cloud Apps
  • System Status
  • Marketplace
    • Featured
    • Infrastructure & Network
    • Data Platform
    • AI for business
    • Security
    • DevOps tools
    • Serverless
    • Monitoring & Resources
  • All Solutions
    • By industry
    • By use case
    • Economics and Pricing
    • Security
    • Technical Support
    • Start testing with double trial credits
    • Cloud credits to scale your IT product
    • Gateway to Russia
    • Cloud for Startups
    • Center for Technologies and Society
    • Yandex Cloud Partner program
    • Price calculator
    • Pricing plans
  • Customer Stories
  • Documentation
  • Blog
© 2026 Direct Cursus Technology L.L.C.
Yandex Identity and Access Management
  • Secure use of Yandex Cloud
  • Access management
  • Pricing policy
  • Role reference
  • Terraform reference
    • API authentication
      • Overview
        • Overview
        • ListSubjectAccessBindings
  • Monitoring metrics
  • Audit Trails events
  • Release notes

In this article:

  • gRPC request
  • ListSubjectAccessBindingsRequest
  • ListSubjectAccessBindingsResponse
  • SubjectAccessBinding
  • Resource
  1. API reference
  2. gRPC
  3. AccessAnalyzer
  4. ListSubjectAccessBindings

Identity and Access Management API, gRPC: AccessAnalyzerService.ListSubjectAccessBindings

Written by
Yandex Cloud
Updated at December 15, 2025
View in Markdown
  • gRPC request
  • ListSubjectAccessBindingsRequest
  • ListSubjectAccessBindingsResponse
  • SubjectAccessBinding
  • Resource

Returns the list of access bindings for the specified subject in chosen organization.

gRPC requestgRPC request

rpc ListSubjectAccessBindings (ListSubjectAccessBindingsRequest) returns (ListSubjectAccessBindingsResponse)

ListSubjectAccessBindingsRequestListSubjectAccessBindingsRequest

{
  "subject_id": "string",
  "organization_id": "string",
  "page_size": "int64",
  "page_token": "string"
}

Field

Description

subject_id

string

Required field. SubjectId to list access bindings for.

The maximum string length in characters is 100.

organization_id

string

Required field. OrganizationId to search access bindings in.

The maximum string length in characters is 50.

page_size

int64

The maximum number of results per page to return. If the number of available
results is larger than page_size,
the service returns a ListSubjectAccessBindingsResponse.next_page_token
that can be used to get the next page of results in subsequent list requests.
Default value: 100

The maximum value is 1000.

page_token

string

Page token. To get the next page of results, set page_token
to the ListSubjectAccessBindingsResponse.next_page_token
returned by a previous list request.

The maximum string length in characters is 2000.

ListSubjectAccessBindingsResponseListSubjectAccessBindingsResponse

{
  "subject_access_bindings": [
    {
      "role_id": "string",
      "resource": {
        "id": "string",
        "type": "string"
      },
      "subject_id": "string"
    }
  ],
  "next_page_token": "string"
}

Field

Description

subject_access_bindings[]

SubjectAccessBinding

List of access bindings for the specified subject.

next_page_token

string

This token allows you to get the next page of results for list requests. If the number of results
is larger than ListSubjectAccessBindingsRequest.page_size, use
the next_page_token as the value
for the ListSubjectAccessBindingsRequest.page_token query parameter
in the next list request. Each subsequent list request will have its own
next_page_token to continue paging through the results.

SubjectAccessBindingSubjectAccessBinding

Field

Description

role_id

string

Role assigned to the subject.

resource

Resource

Resource to which the access binding applies.

subject_id

string

Identifier of the subject to which this role is granted.

ResourceResource

A Resource. For more information, see Resource.

Field

Description

id

string

Required field. ID of the resource.

The maximum string length in characters is 50.

type

string

Required field. The type of the resource, e.g. resource-manager.folder, billing.account, compute.snapshot, etc.

The maximum string length in characters is 64.

Was the article helpful?

Previous
Overview
Next
Overview
© 2026 Direct Cursus Technology L.L.C.